66767b38917ef53c69b59f52b5c015601353394b
[expresskeys.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40         TODO depcomp install-sh missing
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/configure.in
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46  configure.lineno configure.status.lineno
47 mkinstalldirs = $(install_sh) -d
48 CONFIG_HEADER = config.h
49 CONFIG_CLEAN_FILES =
50 SOURCES =
51 DIST_SOURCES =
52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53         html-recursive info-recursive install-data-recursive \
54         install-exec-recursive install-info-recursive \
55         install-recursive installcheck-recursive installdirs-recursive \
56         pdf-recursive ps-recursive uninstall-info-recursive \
57         uninstall-recursive
58 ETAGS = etags
59 CTAGS = ctags
60 DIST_SUBDIRS = $(SUBDIRS)
61 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
62 distdir = $(PACKAGE)-$(VERSION)
63 top_distdir = $(distdir)
64 am__remove_distdir = \
65   { test ! -d $(distdir) \
66     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
67          && rm -fr $(distdir); }; }
68 DIST_ARCHIVES = $(distdir).tar.gz
69 GZIP_ENV = --best
70 distuninstallcheck_listfiles = find . -type f -print
71 distcleancheck_listfiles = find . -type f -print
72 ACLOCAL = @ACLOCAL@
73 AMDEP_FALSE = @AMDEP_FALSE@
74 AMDEP_TRUE = @AMDEP_TRUE@
75 AMTAR = @AMTAR@
76 AUTOCONF = @AUTOCONF@
77 AUTOHEADER = @AUTOHEADER@
78 AUTOMAKE = @AUTOMAKE@
79 AWK = @AWK@
80 CC = @CC@
81 CCDEPMODE = @CCDEPMODE@
82 CFLAGS = @CFLAGS@
83 CPPFLAGS = @CPPFLAGS@
84 CYGPATH_W = @CYGPATH_W@
85 DEFS = @DEFS@
86 DEPDIR = @DEPDIR@
87 ECHO_C = @ECHO_C@
88 ECHO_N = @ECHO_N@
89 ECHO_T = @ECHO_T@
90 EXEEXT = @EXEEXT@
91 EXPRESSKEYSCONF_LIBS = @EXPRESSKEYSCONF_LIBS@
92 EXPRESSKEYS_LIBS = @EXPRESSKEYS_LIBS@
93 INSTALL_DATA = @INSTALL_DATA@
94 INSTALL_PROGRAM = @INSTALL_PROGRAM@
95 INSTALL_SCRIPT = @INSTALL_SCRIPT@
96 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
97 LDFLAGS = @LDFLAGS@
98 LIBOBJS = @LIBOBJS@
99 LIBS = @LIBS@
100 LTLIBOBJS = @LTLIBOBJS@
101 MAINT = @MAINT@
102 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
103 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
104 MAKEINFO = @MAKEINFO@
105 OBJEXT = @OBJEXT@
106 PACKAGE = @PACKAGE@
107 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
108 PACKAGE_NAME = @PACKAGE_NAME@
109 PACKAGE_STRING = @PACKAGE_STRING@
110 PACKAGE_TARNAME = @PACKAGE_TARNAME@
111 PACKAGE_VERSION = @PACKAGE_VERSION@
112 PATH_SEPARATOR = @PATH_SEPARATOR@
113 SET_MAKE = @SET_MAKE@
114 SHELL = @SHELL@
115 SRC_DIRS = @SRC_DIRS@
116 STRIP = @STRIP@
117 VERSION = @VERSION@
118 ac_ct_CC = @ac_ct_CC@
119 ac_ct_STRIP = @ac_ct_STRIP@
120 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
121 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
122 am__include = @am__include@
123 am__leading_dot = @am__leading_dot@
124 am__quote = @am__quote@
125 am__tar = @am__tar@
126 am__untar = @am__untar@
127 bindir = @bindir@
128 build_alias = @build_alias@
129 datadir = @datadir@
130 exec_prefix = @exec_prefix@
131 host_alias = @host_alias@
132 includedir = @includedir@
133 infodir = @infodir@
134 install_sh = @install_sh@
135 libdir = @libdir@
136 libexecdir = @libexecdir@
137 localstatedir = @localstatedir@
138 mandir = @mandir@
139 mkdir_p = @mkdir_p@
140 oldincludedir = @oldincludedir@
141 prefix = @prefix@
142 program_transform_name = @program_transform_name@
143 sbindir = @sbindir@
144 sharedstatedir = @sharedstatedir@
145 sysconfdir = @sysconfdir@
146 target_alias = @target_alias@
147 SUBDIRS = @SRC_DIRS@
148 all: config.h
149         $(MAKE) $(AM_MAKEFLAGS) all-recursive
150
151 .SUFFIXES:
152 am--refresh:
153         @:
154 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
155         @for dep in $?; do \
156           case '$(am__configure_deps)' in \
157             *$$dep*) \
158               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
159               cd $(srcdir) && $(AUTOMAKE) --gnu  \
160                 && exit 0; \
161               exit 1;; \
162           esac; \
163         done; \
164         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
165         cd $(top_srcdir) && \
166           $(AUTOMAKE) --gnu  Makefile
167 .PRECIOUS: Makefile
168 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
169         @case '$?' in \
170           *config.status*) \
171             echo ' $(SHELL) ./config.status'; \
172             $(SHELL) ./config.status;; \
173           *) \
174             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
175             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
176         esac;
177
178 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
179         $(SHELL) ./config.status --recheck
180
181 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
182         cd $(srcdir) && $(AUTOCONF)
183 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
184         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
185
186 config.h: stamp-h1
187         @if test ! -f $@; then \
188           rm -f stamp-h1; \
189           $(MAKE) stamp-h1; \
190         else :; fi
191
192 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
193         @rm -f stamp-h1
194         cd $(top_builddir) && $(SHELL) ./config.status config.h
195 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
196         cd $(top_srcdir) && $(AUTOHEADER)
197         rm -f stamp-h1
198         touch $@
199
200 distclean-hdr:
201         -rm -f config.h stamp-h1
202 uninstall-info-am:
203
204 # This directory's subdirectories are mostly independent; you can cd
205 # into them and run `make' without going through this Makefile.
206 # To change the values of `make' variables: instead of editing Makefiles,
207 # (1) if the variable is set in `config.status', edit `config.status'
208 #     (which will cause the Makefiles to be regenerated when you run `make');
209 # (2) otherwise, pass the desired values on the `make' command line.
210 $(RECURSIVE_TARGETS):
211         @set fnord $$MAKEFLAGS; amf=$$2; \
212         dot_seen=no; \
213         target=`echo $@ | sed s/-recursive//`; \
214         list='$(SUBDIRS)'; for subdir in $$list; do \
215           echo "Making $$target in $$subdir"; \
216           if test "$$subdir" = "."; then \
217             dot_seen=yes; \
218             local_target="$$target-am"; \
219           else \
220             local_target="$$target"; \
221           fi; \
222           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
223            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
224         done; \
225         if test "$$dot_seen" = "no"; then \
226           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
227         fi; test -z "$$fail"
228
229 mostlyclean-recursive clean-recursive distclean-recursive \
230 maintainer-clean-recursive:
231         @set fnord $$MAKEFLAGS; amf=$$2; \
232         dot_seen=no; \
233         case "$@" in \
234           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
235           *) list='$(SUBDIRS)' ;; \
236         esac; \
237         rev=''; for subdir in $$list; do \
238           if test "$$subdir" = "."; then :; else \
239             rev="$$subdir $$rev"; \
240           fi; \
241         done; \
242         rev="$$rev ."; \
243         target=`echo $@ | sed s/-recursive//`; \
244         for subdir in $$rev; do \
245           echo "Making $$target in $$subdir"; \
246           if test "$$subdir" = "."; then \
247             local_target="$$target-am"; \
248           else \
249             local_target="$$target"; \
250           fi; \
251           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
252            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
253         done && test -z "$$fail"
254 tags-recursive:
255         list='$(SUBDIRS)'; for subdir in $$list; do \
256           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
257         done
258 ctags-recursive:
259         list='$(SUBDIRS)'; for subdir in $$list; do \
260           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
261         done
262
263 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
264         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
265         unique=`for i in $$list; do \
266             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267           done | \
268           $(AWK) '    { files[$$0] = 1; } \
269                END { for (i in files) print i; }'`; \
270         mkid -fID $$unique
271 tags: TAGS
272
273 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
274                 $(TAGS_FILES) $(LISP)
275         tags=; \
276         here=`pwd`; \
277         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
278           include_option=--etags-include; \
279           empty_fix=.; \
280         else \
281           include_option=--include; \
282           empty_fix=; \
283         fi; \
284         list='$(SUBDIRS)'; for subdir in $$list; do \
285           if test "$$subdir" = .; then :; else \
286             test ! -f $$subdir/TAGS || \
287               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
288           fi; \
289         done; \
290         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
291         unique=`for i in $$list; do \
292             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
293           done | \
294           $(AWK) '    { files[$$0] = 1; } \
295                END { for (i in files) print i; }'`; \
296         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
297           test -n "$$unique" || unique=$$empty_fix; \
298           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
299             $$tags $$unique; \
300         fi
301 ctags: CTAGS
302 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
303                 $(TAGS_FILES) $(LISP)
304         tags=; \
305         here=`pwd`; \
306         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
307         unique=`for i in $$list; do \
308             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
309           done | \
310           $(AWK) '    { files[$$0] = 1; } \
311                END { for (i in files) print i; }'`; \
312         test -z "$(CTAGS_ARGS)$$tags$$unique" \
313           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
314              $$tags $$unique
315
316 GTAGS:
317         here=`$(am__cd) $(top_builddir) && pwd` \
318           && cd $(top_srcdir) \
319           && gtags -i $(GTAGS_ARGS) $$here
320
321 distclean-tags:
322         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
323
324 distdir: $(DISTFILES)
325         $(am__remove_distdir)
326         mkdir $(distdir)
327         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
328         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
329         list='$(DISTFILES)'; for file in $$list; do \
330           case $$file in \
331             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
332             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
333           esac; \
334           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
335           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
336           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
337             dir="/$$dir"; \
338             $(mkdir_p) "$(distdir)$$dir"; \
339           else \
340             dir=''; \
341           fi; \
342           if test -d $$d/$$file; then \
343             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
344               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
345             fi; \
346             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
347           else \
348             test -f $(distdir)/$$file \
349             || cp -p $$d/$$file $(distdir)/$$file \
350             || exit 1; \
351           fi; \
352         done
353         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
354           if test "$$subdir" = .; then :; else \
355             test -d "$(distdir)/$$subdir" \
356             || $(mkdir_p) "$(distdir)/$$subdir" \
357             || exit 1; \
358             distdir=`$(am__cd) $(distdir) && pwd`; \
359             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
360             (cd $$subdir && \
361               $(MAKE) $(AM_MAKEFLAGS) \
362                 top_distdir="$$top_distdir" \
363                 distdir="$$distdir/$$subdir" \
364                 distdir) \
365               || exit 1; \
366           fi; \
367         done
368         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
369           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
370           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
371           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
372         || chmod -R a+r $(distdir)
373 dist-gzip: distdir
374         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
375         $(am__remove_distdir)
376
377 dist-bzip2: distdir
378         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
379         $(am__remove_distdir)
380
381 dist-tarZ: distdir
382         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
383         $(am__remove_distdir)
384
385 dist-shar: distdir
386         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
387         $(am__remove_distdir)
388
389 dist-zip: distdir
390         -rm -f $(distdir).zip
391         zip -rq $(distdir).zip $(distdir)
392         $(am__remove_distdir)
393
394 dist dist-all: distdir
395         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
396         $(am__remove_distdir)
397
398 # This target untars the dist file and tries a VPATH configuration.  Then
399 # it guarantees that the distribution is self-contained by making another
400 # tarfile.
401 distcheck: dist
402         case '$(DIST_ARCHIVES)' in \
403         *.tar.gz*) \
404           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
405         *.tar.bz2*) \
406           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
407         *.tar.Z*) \
408           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
409         *.shar.gz*) \
410           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
411         *.zip*) \
412           unzip $(distdir).zip ;;\
413         esac
414         chmod -R a-w $(distdir); chmod a+w $(distdir)
415         mkdir $(distdir)/_build
416         mkdir $(distdir)/_inst
417         chmod a-w $(distdir)
418         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
419           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
420           && cd $(distdir)/_build \
421           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
422             $(DISTCHECK_CONFIGURE_FLAGS) \
423           && $(MAKE) $(AM_MAKEFLAGS) \
424           && $(MAKE) $(AM_MAKEFLAGS) dvi \
425           && $(MAKE) $(AM_MAKEFLAGS) check \
426           && $(MAKE) $(AM_MAKEFLAGS) install \
427           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
428           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
429           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
430                 distuninstallcheck \
431           && chmod -R a-w "$$dc_install_base" \
432           && ({ \
433                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
434                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
435                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
436                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
437                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
438               } || { rm -rf "$$dc_destdir"; exit 1; }) \
439           && rm -rf "$$dc_destdir" \
440           && $(MAKE) $(AM_MAKEFLAGS) dist \
441           && rm -rf $(DIST_ARCHIVES) \
442           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
443         $(am__remove_distdir)
444         @(echo "$(distdir) archives ready for distribution: "; \
445           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
446           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
447 distuninstallcheck:
448         @cd $(distuninstallcheck_dir) \
449         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
450            || { echo "ERROR: files left after uninstall:" ; \
451                 if test -n "$(DESTDIR)"; then \
452                   echo "  (check DESTDIR support)"; \
453                 fi ; \
454                 $(distuninstallcheck_listfiles) ; \
455                 exit 1; } >&2
456 distcleancheck: distclean
457         @if test '$(srcdir)' = . ; then \
458           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
459           exit 1 ; \
460         fi
461         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
462           || { echo "ERROR: files left in build directory after distclean:" ; \
463                $(distcleancheck_listfiles) ; \
464                exit 1; } >&2
465 check-am: all-am
466 check: check-recursive
467 all-am: Makefile config.h
468 installdirs: installdirs-recursive
469 installdirs-am:
470 install: install-recursive
471 install-exec: install-exec-recursive
472 install-data: install-data-recursive
473 uninstall: uninstall-recursive
474
475 install-am: all-am
476         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
477
478 installcheck: installcheck-recursive
479 install-strip:
480         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
481           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
482           `test -z '$(STRIP)' || \
483             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
484 mostlyclean-generic:
485
486 clean-generic:
487
488 distclean-generic:
489         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
490
491 maintainer-clean-generic:
492         @echo "This command is intended for maintainers to use"
493         @echo "it deletes files that may require special tools to rebuild."
494 clean: clean-recursive
495
496 clean-am: clean-generic mostlyclean-am
497
498 distclean: distclean-recursive
499         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
500         -rm -f Makefile
501 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
502
503 dvi: dvi-recursive
504
505 dvi-am:
506
507 html: html-recursive
508
509 info: info-recursive
510
511 info-am:
512
513 install-data-am:
514
515 install-exec-am:
516
517 install-info: install-info-recursive
518
519 install-man:
520
521 installcheck-am:
522
523 maintainer-clean: maintainer-clean-recursive
524         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
525         -rm -rf $(top_srcdir)/autom4te.cache
526         -rm -f Makefile
527 maintainer-clean-am: distclean-am maintainer-clean-generic
528
529 mostlyclean: mostlyclean-recursive
530
531 mostlyclean-am: mostlyclean-generic
532
533 pdf: pdf-recursive
534
535 pdf-am:
536
537 ps: ps-recursive
538
539 ps-am:
540
541 uninstall-am: uninstall-info-am
542
543 uninstall-info: uninstall-info-recursive
544
545 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
546         check-am clean clean-generic clean-recursive ctags \
547         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
548         dist-tarZ dist-zip distcheck distclean distclean-generic \
549         distclean-hdr distclean-recursive distclean-tags \
550         distcleancheck distdir distuninstallcheck dvi dvi-am html \
551         html-am info info-am install install-am install-data \
552         install-data-am install-exec install-exec-am install-info \
553         install-info-am install-man install-strip installcheck \
554         installcheck-am installdirs installdirs-am maintainer-clean \
555         maintainer-clean-generic maintainer-clean-recursive \
556         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
557         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
558         uninstall-info-am
559
560 # Tell versions [3.59,3.63) of GNU make to not export all variables.
561 # Otherwise a system limit (for SysV at least) may be exceeded.
562 .NOEXPORT: